BTATTACH(8) | System Manager's Manual | BTATTACH(8)

# NAME

`btattach` —
attach serial lines as Bluetooth HCI interfaces

# SYNOPSIS

`btattach` | [`-dFfoPp`] [`-i` speed] [type] tty speed

`btattach` | `-t` [`-dFfoPp`] tty

# DESCRIPTION

`btattach` is used to assign a tty line to a Bluetooth Host Controller Interface using the btuart(4) or bcsp(4) line disciplines, and can optionally initialize the line for a given device type before activating the line discipline.

Supported types are:

`bcm2035`
  Broadcom BCM2035
`bcm43xx`
  Broadcom BCM43xx
`bcm43xx-3wire`
  Broadcom BCM43xx (3-wire)
`bcsp`
  Generic BCSP (BlueCore Serial Protocol)
`bgb2xx`
  Philips BGB2xx module
`btuart`
  Generic UART (this is the default)
`csr`
  Cambridge Silicon Radio Casira serial adapter, or Brainboxes serial dongle (BL642)
`ericsson`
  Ericsson based modules
`digi`
  Digianswer based cards
`st`
  ST Microelectronics minikits based on STLC2410/STLC2415
`stlc2500`
  ST Microelectronics minikits based on STLC2500
`swave`
  Silicon Wave kits
`texas`
  Texas Instruments modules
`unistone`
  Infineon UniStone (PBA31308) modules

When the line discipline is activated, `btattach` detaches and sleeps until it receives a `SIGHUP`.

The command line options are as follows:

`-d`
  debug mode. print initialization IO and do not detach.
`-F`
  Disable flow control.
`-f`
  Enable flow control.
`-i` speed
  Specify an alternate speed for the Bluetooth module to use during the initialization phase.
`-o`
  Enable odd parity.
`-P`
  Disable parity.
`-p`
  Enable parity (even parity).
`-t`
  Test mode.

Only the super-user may attach a Bluetooth HCI interface.

Test mode tries to guess the speed using the received link-establish packet from HCI, or btuart(4), if there is no response.

# FILES

/var/run/btattach-{tty}.pid

# SEE ALSO

bcsp(4), bluetooth(4), btuart(4), btconfig(8)

# HISTORY

The `btattach` program was written with reference to `hciattach` as provided with the BlueZ tools for Linux and first appeared in NetBSD 5.0.

# AUTHORS

KIYOHARA Takashi <kiyohara@kk.iij4u.or.jp>
Iain Hibbert

# BUGS

Not all type initializations have been tested.

August 11, 2017 | NetBSD 10.1